/**
 * ADMEFINE METRIKA./modules/api.module
 * 2023
 * 0.0.1
 */

import { getUrl, getQuery, initUTM } from "@/modules/url.module";
import { sendLead } from "./modules/api.module";
import { parsingForms } from "./modules/parsing.module";

interface IInitProps {
  isLoadForm: boolean;
  formSuccessPopupText: string;
}


const init = (props: IInitProps) => {
  let withDefaults: IInitProps = {
    isLoadForm: props?.isLoadForm || true,
    formSuccessPopupText: props?.formSuccessPopupText || 'Спасибо, ваша заявка была отправлена!'
  }
  // init utm
  initUTM();

  // load parsing forms
  if(withDefaults.isLoadForm) {
    parsingForms(withDefaults);
  }
}

window.AMF_METRIKA = window.AMF_METRIKA || {};

window.AMF_METRIKA = {
  init,
  methods: {
    sendLead,
  }
};